Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.tcap
Class TcapStatisticNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamStatisticNotification
                        |
                        +--jain.protocol.ss7.oam.tcap.TcapStatisticNotification

public class TcapStatisticNotification
extends OamStatisticNotification

An TcapStatisticNotification is a Notification emitted by an TcapManagedObjectMBean containing the value of a particular statistic.

This TcapStatisticNotification should be sent to all applications that have registered with the TCAP MBean as a javax.management.NotificationListener using a filter 'f', where f.isNotificationEnabled(this.getType()) == true.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of a notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

Inheritance hierarchy for JAIN OAM Notification

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `TCAP_PROT_ERR_COMP_PORT` A TCAP Statisctic Type constant: Protocol error detected in component portion.
`static int` | `TCAP_PROT_ERR_TRANS_PORT1` A TCAP Statisctic Type constant: Protocol error detected in transaction portion.
`static int` | `TCAP_PROT_ERR_TRANS_PORT2` A TCAP Statisctic Type constant: Protocol error detected in transaction portion.
`static int` | `TCAP_TOTAL_RECEIVED` A TCAP Statisctic Type constant: Total number of messages received by the node.
`static int` | `TCAP_TOTAL_SENT` A TCAP Statisctic Type constant: Total number of TC messages sent by the node.

Fields inherited from class jain.protocol.ss7.oam.OamStatisticNotification
`CATEGORY_CONFIGURATION, CATEGORY_FAULT, CATEGORY_PERFORMANCE`

Constructor Summary
`TcapStatisticNotification(OamManagedObjectMBean source, long sequenceNumber, int category, int statisticType, int statisticValue)` Constructs a new `TcapStatisticNotification`.

Method Summary
`java.lang.String` | `toString()` Returns a string representation (with details) of classes which extend this class.

Methods inherited from class jain.protocol.ss7.oam.OamStatisticNotification
`getCategory, getStatisticType, getStatisticValue, setCategory, setStatisticValue`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TCAP_TOTAL_SENT

    public static final int TCAP_TOTAL_SENT

  A TCAP Statisctic Type constant: Total number of TC messages sent by the node.

  getType() for this Statistic Notification returns the Notification Type "jain.protocol.ss7.oam.tcap.total_sent".
  Measuring: Local TC utilization
  Collected For: TcapNodeMBean
  ITU Q.752 Measurement Number: 13.1
  Units: Messages / TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.statistic.total_sent".

### TCAP_TOTAL_RECEIVED

    public static final int TCAP_TOTAL_RECEIVED

  A TCAP Statisctic Type constant: Total number of messages received by the node.

  Measuring: Local TC utilization
  Collected For: TcapNodeMBean
  ITU Q.752 Measurement Number: 13.2
  Units: Messages / TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.statistic.total_received".

### TCAP_PROT_ERR_TRANS_PORT1

    public static final int TCAP_PROT_ERR_TRANS_PORT1

  A TCAP Statisctic Type constant: Protocol error detected in transaction portion.

  - with P_ABORT:

  - unrecognised TID
  - resource limitation

  Measuring: TC Fault Measurements
  Collected For: TcapNodeMBean
  ITU Q.752 Measurement Number: 14.1
  Units: Event / TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.statistic.prot_err_trans_port1".

### TCAP_PROT_ERR_TRANS_PORT2

    public static final int TCAP_PROT_ERR_TRANS_PORT2

  A TCAP Statisctic Type constant: Protocol error detected in transaction portion.

  - with P_ABORT:

  - unrecognised message type
  - incorrect TP
  - badly formatted TP

  Measuring: TC Fault Measurements
  Collected For: TcapNodeMBean
  ITU Q.752 Measurement Number: A.1
  Units: Event / TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.statistic.prot_err_trans_port2".

### TCAP_PROT_ERR_COMP_PORT

    public static final int TCAP_PROT_ERR_COMP_PORT

  A TCAP Statisctic Type constant: Protocol error detected in component portion.

  - with probelm code:

  - unrecognised component
  - mistyped component
  - badly structured component

  Measuring: TC Fault Measurements
  Collected For: TcapNodeMBean
  ITU Q.752 Measurement Number: A.2
  Units: Event / TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.statistic.prot_err_comp_port".

Constructor Detail

### TcapStatisticNotification

    public TcapStatisticNotification(OamManagedObjectMBean source,
                                     long sequenceNumber,
                                     int category,
                                     int statisticType,
                                     int statisticValue)
                              throws java.lang.IllegalArgumentException

  Constructs a new `TcapStatisticNotification`.
  Parameters:
    `source` - The TCAP Layer Manager that emitted this Notification.
    `sequenceNumberThe` - notification sequence number within the source object.
    `category` - The category of this TcapStatisticNotification. This may be any of the inherited types:

    - CATEGORY_FAULT
    - CATEGORY_CONFIGURATION
    - CATEGORY_PERFORMANCE
    `statisticType` - The type of this statistic. This may be any one of the Statistic Type constants defined in this class.
    `statisticValue` - The statistic value
  Throws:
    java.lang.IllegalArgumentException - - If any of the supplied parameters are invalid

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation (with details) of classes which extend this class. Over rides standard JAVA toString method.
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems